# CSPP Geo Web Viewer

This repository is a collection of tools and Dockerfiles to create a
processing chain from a real-time ABI GRB stream to web-based map viewer
client. This work was provided by SSEC2022 funding.

## Tasks

The original SSEC2022 proposal consisted of three main tasks to complete.

### Task 1 - Automated, container-based processing chain

Port the existing tarball-based CSPP Geo projects in to a series of docker
images. The initial set of processing will involve CSPP Geo GRB and CSPP Geo
Geo2Grid and any additional docker containers needed to accomplish Task 2.

### Task 2 - Real time GOES-R Geo2Grid imagery website

Take the imagery produced by Geo2Grid for the GOES-R ABI instrument on a
web-based viewer providing features like:

The primary functionality offered by the website will be to:

* interactively display GOES-16 true-color RGBs and single band images
* interactive zoom and pan
* map overlay (coastlines, etc.)
* simple, intuitive and highly responsive controls
* low latency data loading given user bandwidth constraints
* animate a sequence of recent images

Initial products will include channel 1 through 16 calibrated data and
a atmospherically corrected True Color RGB image.

### Task 3 - Cloud computing

Taken the lessons learned from task 1, generate a series of cloud-friendly
docker images to run various CSPP Geo projects in a remote cloud service
(ex Amazon Web Services, Google Cloud Computing, Microsoft Azure, etc).

## Installation/Usage

TODO
