# tmpwatch

Docker container to mimic tmpwatch-like operations. Note this is using the
alpine linux distribution to reduce the size of the image. This container
is not actually using `tmpwatch` but instead a limited version of the
`find` command.

## Usage

To search for files every 7 days (7d) and delete any files older than
6 days (6) run:

```bash
docker -d -v /path/to/watch:/watch tmpwatch 7d 6 /watch
```

Note that the first argument (7d) is passed to the `sleep` command and allows
for (s)econds, (m)inutes, (h)ours, or (d)ays suffixes. The second argument (6)
is passed to the `find` command's `-mtime` flag and must always be number of
days.

If you would like to use access time instead of modified time you can specify
the environment variable `-e TIME_MODE=atime`.

More than one directory can be listed, but since we are running from a
container they must all be mounted.