#!/bin/sh

if [ $# -lt 2 ]; then
    echo "Usage: ./tmpwatch.sh loop_sleep_seconds mtime dirs ..."
    exit 1
fi

TIME_MODE=${TIME_MODE:-"mtime"}
sleep_time=$1
mtime=$2
shift 2

# Just keep going
while true; do
    echo "`date +"%Y-%m-%d %H:%M:%S"` : Running tmpwatch to remove files older than $mtime days..."
    # mindepth 1: don't include the base directories as things to delete
    find "$@" -mindepth 1 -"$TIME_MODE" $mtime -delete
    echo "`date +"%Y-%m-%d %H:%M:%S"` : Done"
    sleep $sleep_time
done